;
;	%Z% %M% %I% %D% %Q%
;
;	Copyright (C) The Santa Cruz Operation, 1985, 1986, 1987.
;	This Module contains Proprietary Information of
;	The Santa Cruz Operation and should be treated as Confidential.
;






;
;	Configurable parameters for the (QIC) Cartridge Tape driver
;
;	If parameter is not initialized, the default for the type of
;	machine will be used. The dma channel and interrupt vector
;	will override the defaults if initialized. The default base
;	address will override the configurable parameter providing
;	the default works. 
;
;	Defaults for Type A:
;		ctdmach = 3, ctint = 3, ctbase = 0x220
;			-or-
;		ctdmach = 1, ctint = 4, ctbase = 0x200
;
;	Defaults for Type W:
;		ctdmach = 1, ctint = 5, ctbase = 0x338
;
;	Defaults for Type E:
;		ctdmach = 3, ctint = 25, ctbase = 0x29C
;
;	Defaults for Type M:
;		ctdmach = 1, ctint = 3, ctbase = 0x28C
;
;	Defaults for Type T:
;		ctdmach = 1, ctint = 5, ctbase = 0x330
;
;	Defaults for Type X:
;		ctdmach = 1, ctint = 3, ctbase = 0x2C0
;

ifdef M_I386
	.386p
endif
	name	ctconfig

DGROUP	group	_DATA
ifdef M_I386
_DATA	segment	byte use32 public	'DATA'
else
_DATA	segment	byte public	'DATA'
endif

; DO NOT change the order or format of the following lines
CTCNTRLR	equ	0	; @PARM1
CTDMACH		equ	0	; @PARM2
CTINT		equ	0	; @PARM3
CTBASE		equ	0H	; @PARM4

	public	_ctcntrlr
_ctcntrlr	dw	CTCNTRLR	; controller type (0=auto,1=A,3=W,4=E)
	public	_ctdmach
_ctdmach	dw	CTDMACH		; dma channel (must be 1 or 3)
	public	_ctint
_ctint		dw	CTINT		; LOGICAL interrupt vector number
	public	_ctbase
_ctbase		dw	CTBASE		; 4 i/o addresses used from here up

_DATA	ends



	end
